#
# spec file for package Ebnf2ps
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           Ebnf2ps
Version:        1.0.15
Release:        7.12
Summary:        Peter's Syntax Diagram Drawing Tool
License:        BSD-3-Clause
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{name}
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-old-time-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-unix-devel
BuildRequires:  happy
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Ebnf2ps generates nice looking syntax diagrams in EPS and FIG format from EBNF
specifications and from yacc, bison, and Happy input grammars. The diagrams can
be immediatedly included in TeX/LaTeX documents and in texts created with other
popular document preparation systems.

%prep
%setup -q

%build
%ghc_bin_build

%install
%ghc_bin_install

%files
%defattr(-,root,root,-)
%doc LICENSE
%doc CHANGES README.md doc examples
%{_bindir}/ebnf2ps

%changelog
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.0.15 revision 0 with cabal2obs.
